| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Static Public Member Functions | List of all members
AbstractPDFTextToSpeechSynthesis Class Reference
PDFViewCtrl » readAloud

An abstract class that provides template methods to simplify the implementation of custom speech synthesizers. More...

Inheritance diagram for AbstractPDFTextToSpeechSynthesis:

## Static Public Member Functions
static PDFTextToSpeechSynthesis | extend (implementation:PDFTextToSpeechSynthesisTemplate)
| Methods used to simplify the inheritance of the AbstractPDFTextToSpeechSynthesis class to implement a custom speech synthesizers in ES5. More...

## Additional Inherited Members
Protected Member Functions inherited from PDFTextToSpeechSynthesisTemplate
abstract void | doPause ()
| This method is used to implement the actions that should be handled after the state is switched to paused.
abstract void | doResume ()
| This method is used to implement the actions that should be handled after resume the speech synthesis.
abstract void | doStop ()
| This method is used to implement the actions that should be handled after the state is switched to stop.
void | init ()
| Method used to initialization.
abstract void | onCurrentPlayingOptionsUpdated ()
| This method is used to implement options updates.
abstract Promise< void > | speakText (text:string, options?:ReadAloudOptions)
| This method is used to synthesize a speech based on the received parameters and play it back. More...

## Detailed Description

An abstract class that provides template methods to simplify the implementation of custom speech synthesizers.

Since
  8.0.0

## Member Function Documentation

## ◆ extend()

static PDFTextToSpeechSynthesis AbstractPDFTextToSpeechSynthesis::extend | ( | implementation:PDFTextToSpeechSynthesisTemplate |  | ) |
| static

Methods used to simplify the inheritance of the AbstractPDFTextToSpeechSynthesis class to implement a custom speech synthesizers in ES5.

Parameters

  implementation | PDFTextToSpeechSynthesisTemplate -

Returns
  PDFTextToSpeechSynthesis -

@2025 Foxit Software Incorporated. All rights reserved.